QGIS Application - Bug report #16353
regression: opening raster layer properties window fails to load layer min/max values
2017-03-14 02:41 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Even Rouault

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24263
Description

I'm not sure when this regression slipped into QGIS but | suspect it is linked to commit 532eb58d1f4003a (which revamped the way
raster min/max values were computed). When opening a raster layer properties window, the min / max values are reset to QGIS' default
min/max load settings (i.e., 2% - 98% of whole raster), irrespective of the tweaks done by users via the style dock, or even via previous
layer properties window edlit.
Steps to reproduce

1. Open QGIS and add a 3-band raster

2. Zoom into the raster to only show a part of it, and open the style dock

3. Change the min/max value computation to canvas' current extent

4. Take note of the updated min / max values for the three bands

5. Open the raster layer's properties window, and go to the style panel

6. Notice the min / max values are reset to default values, ignoring the change you've just made via style dock

Additional information
The problem is actually worse than stated in the subject. The histogram panel / tab is effectively broken, with min / max retrieval and
setting non-functional.

History

#1 - 2017-03-18 06:28 AM - Giovanni Manghi
- Status changed from Open to Feedback

Does this effectively affects only master/qgis3 or also previous versions?

#2 - 2017-03-19 06:36 PM - Mathieu Pellerin - nIRV

This only affects master (2.99 to become 3.0) as it is a regression linked to the revamped raster min/max widget. I've just tested and confirmed that the
issue does not occur on QGIS <= 2.18.

#3 - 2017-03-29 08:25 AM - Even Rouault

Did you set the contrast enhancement to something else than None ? If not, that might explain the behaviour you see. But | also see it in 2.18.

Otherwise, I've just fixed related issues in
#ef26d95007920fd540bcdac0c05bac1f9d925dce that perhaps fix this issue ?

I've a hard time to make sense of how to use the histogram panel, so I'm not sure when things work or not in it... | don't think | touched it, but the GUI
interaction with notifications everywhere (and the GUI sometimes modifying state of non GUI objects in places where you wouln't expect it) are a horrible

mess to decypher.

#4 - 2017-03-29 06:20 PM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Even, your latest commit did fix loading of renderer's min/max value through layer properties window, thanks. And yeah, that part of the code is a bit of a

nightmare.

Closing this issue as fixed.
